Bug 69352 - Samba not handling LPRng print jobs in "done" state correctly
Samba not handling LPRng print jobs in "done" state correctly
Product: Red Hat Linux
Classification: Retired
Component: samba (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2002-07-22 04:08 EDT by James Henstridge
Modified: 2007-04-18 12:44 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-07-22 04:08:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description James Henstridge 2002-07-22 04:08:31 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.0.0) Gecko/20020530

Description of problem:
With the version of LPRng distributed with RH7.3, the last printed job comes up
in the "lpq" output in the "done" state.  This confuses samba, which interprets
these jobs as "paused" as a fallback.

This means that windows clients never realise that their print jobs are done
(until the next person submits a job).  I wrote a simple patch to address this
problem (make samba interpret these jobs as "printed"), which is going into
Samba 2.2.6, but you may wish to include it in an errata:


This resulted in many less problem reports from users :)

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Set up a print queue with the LPRng printer config program 
2.print a document to that print queue from a Windows machine
3.look in the print queue window on the Windows machine

Actual Results:  The print job is marked as "Paused", and the printer icon does
not disapear from the system tray on the windows machine (which is used as
notification of the print job completing).

Expected Results:  print job should disapear or change to "printed" state.

Additional info:
Comment 1 Trond Eivind Glomsrxd 2002-07-23 21:28:08 EDT
Added to samba 2.2.5-6 - thanks.

Note You need to log in before you can comment on or make changes to this bug.